import { SyncWorkspace } from '../../agent-utils/index.js';
import { BaseDocumentMetadata, LocalDocument } from './LocalDocument.js';
export declare class LocalDocumentStore<TMetadata extends BaseDocumentMetadata = BaseDocumentMetadata> {
    private workspace;
    private uri;
    constructor(workspace: SyncWorkspace, uri: string);
    add(data: {
        text: string;
        metadata?: TMetadata;
        vector: number[];
    }): LocalDocument<TMetadata>;
    list(): LocalDocument<TMetadata>[];
}
